/*
 * Copyright 2022 NXP
 *
 * NXP Confidential. This software is owned or controlled by NXP and may only
 * be used strictly in accordance with the applicable license terms found at
 * https://www.nxp.com/docs/en/disclaimer/LA_OPT_NXP_SW.html . The standard 
 * license in Section 2.3 is expressly granted for this software.  
 */

#ifndef GUI_GUIDER_H
#define GUI_GUIDER_H
#ifdef __cplusplus
extern "C" {
#endif

#include "lvgl/lvgl.h"
#include "guider_fonts.h"

typedef struct
{
	lv_obj_t *Overview;
	lv_obj_t *Overview_bg_img;
	lv_obj_t *Overview_hdr_img;
	lv_obj_t *Overview_date_label;
	lv_obj_t *Overview_time_label;
	lv_obj_t *Overview_sub_label;
	lv_obj_t *Overview_gps_icon;
	lv_obj_t *Overview_travelled_icon;
	lv_obj_t *Overview_speed_icon;
	lv_obj_t *Overview_remaining_icon;
	lv_obj_t *Overview_elapsed_icon;
	lv_obj_t *Overview_dist_label;
	lv_obj_t *Overview_dir_label;
	lv_obj_t *Overview_str_label;
	lv_obj_t *Overview_info1_label_1;
	lv_obj_t *Overview_info1_label_2;
	lv_obj_t *Overview_info2_label_1;
	lv_obj_t *Overview_info2_label_2;
	lv_obj_t *Overview_info3_label_1;
	lv_obj_t *Overview_info3_label_2;
	lv_obj_t *Overview_linfo4_label_1;
	lv_obj_t *Overview_linfo4_label_2;
	lv_obj_t *Overview_info1_label_3;
	lv_obj_t *Overview_info2_label_3;
	lv_obj_t *Overview_info3_label_3;
	lv_obj_t *Overview_info4_label_3;
	lv_obj_t *Overview_info1_label_4;
	lv_obj_t *Overview_info2_label_4;
	lv_obj_t *Overview_info3_label_4;
	lv_obj_t *Overview_info_img_v;
	lv_obj_t *Overview_info_img_h;
	lv_obj_t *Overview_gauge_bg_img;
	lv_obj_t *Overview_gaugeL_img;
	lv_obj_t *Overview_gaugeN_img;
	lv_obj_t *Overview_needle_img;
	lv_obj_t *Overview_battery_line_img;
	lv_obj_t *Overview_battery_icon;
	lv_obj_t *Overview_battery_label;
	lv_obj_t *Overview_battery_arc;
	lv_obj_t *Overview_footer_bg_img;
	lv_obj_t *Overview_footer_line_1;
	lv_obj_t *Overview_footer_line_2;
	lv_obj_t *Overview_footer_line_3;
	lv_obj_t *Overview_gauge_label_1;
	lv_obj_t *Overview_gauge_label_2;
	lv_obj_t *Overview_cover_imgbtn;
	lv_obj_t *Overview_cover_imgbtn_label;
	lv_obj_t *RideInfo1;
	lv_obj_t *RideInfo1_bg_img;
	lv_obj_t *RideInfo1_hdr_img;
	lv_obj_t *RideInfo1_date_label;
	lv_obj_t *RideInfo1_time_label;
	lv_obj_t *RideInfo1_sub_label;
	lv_obj_t *RideInfo1_gain_img;
	lv_obj_t *RideInfo1_lost_img;
	lv_obj_t *RideInfo1_info1_label_1;
	lv_obj_t *RideInfo1_info2_label_1;
	lv_obj_t *RideInfo1_info3_label_1;
	lv_obj_t *RideInfo1_info3_label_2;
	lv_obj_t *RideInfo1_linfo4_label_1;
	lv_obj_t *RideInfo1_linfo4_label_2;
	lv_obj_t *RideInfo1_info1_label_3;
	lv_obj_t *RideInfo1_info2_label_3;
	lv_obj_t *RideInfo1_info3_label_3;
	lv_obj_t *RideInfo1_info4_label_3;
	lv_obj_t *RideInfo1_info1_label_2;
	lv_obj_t *RideInfo1_info3_label_4;
	lv_obj_t *RideInfo1_info2_label_2;
	lv_obj_t *RideInfo1_info4_label_4;
	lv_obj_t *RideInfo1_info_img_v;
	lv_obj_t *RideInfo1_info_img_h;
	lv_obj_t *RideInfo1_img_1;
	lv_obj_t *RideInfo1_footer_bg_img;
	lv_obj_t *RideInfo1_footer_line_1;
	lv_obj_t *RideInfo1_footer_line_2;
	lv_obj_t *RideInfo1_footer_line_3;
	lv_obj_t *RideInfo1_dis_img;
	lv_obj_t *RideInfo1_ava_img;
	lv_obj_t *RideInfo1_ride_chart;
	lv_obj_t *RideInfo1_elev_label_0;
	lv_obj_t *RideInfo1_elev_label_1;
	lv_obj_t *RideInfo1_elev_label_2;
	lv_obj_t *RideInfo1_elev_label_3;
	lv_obj_t *RideInfo1_elev_label_4;
	lv_obj_t *RideInfo1_elev_label_5;
	lv_obj_t *RideInfo1_elev_label_6;
	lv_obj_t *RideInfo1_elev_label_7;
	lv_obj_t *RideInfo1_elev_label_8;
	lv_obj_t *RideInfo1_elev_label_9;
	lv_obj_t *RideInfo1_elev_label_10;
	lv_obj_t *RideInfo1_elev_label_11;
	lv_obj_t *RideInfo1_elev_label_12;
	lv_obj_t *RideInfo1_elev_label_13;
	lv_obj_t *RideInfo1_elev_label_14;
	lv_obj_t *RideInfo1_elev_label_15;
	lv_obj_t *RideInfo1_cover_imgbtn;
	lv_obj_t *RideInfo1_cover_imgbtn_label;
	lv_obj_t *RideInfo2;
	lv_obj_t *RideInfo2_bg_img;
	lv_obj_t *RideInfo2_hdr_img;
	lv_obj_t *RideInfo2_date_label;
	lv_obj_t *RideInfo2_time_label;
	lv_obj_t *RideInfo2_sub_label;
	lv_obj_t *RideInfo2_gps_icon;
	lv_obj_t *RideInfo2_calories_icon;
	lv_obj_t *RideInfo2_hr_icon;
	lv_obj_t *RideInfo2_cadence_icon;
	lv_obj_t *RideInfo2_elapsed_icon;
	lv_obj_t *RideInfo2_dist_label;
	lv_obj_t *RideInfo2_dir_label;
	lv_obj_t *RideInfo2_str_label;
	lv_obj_t *RideInfo2_info1_label_1;
	lv_obj_t *RideInfo2_info1_label_2;
	lv_obj_t *RideInfo2_info2_label_1;
	lv_obj_t *RideInfo2_info2_label_2;
	lv_obj_t *RideInfo2_info3_label_1;
	lv_obj_t *RideInfo2_linfo4_label_1;
	lv_obj_t *RideInfo2_linfo4_label_2;
	lv_obj_t *RideInfo2_info1_label_3;
	lv_obj_t *RideInfo2_info2_label_3;
	lv_obj_t *RideInfo2_info3_label_3;
	lv_obj_t *RideInfo2_info4_label_3;
	lv_obj_t *RideInfo2_info1_label_4;
	lv_obj_t *RideInfo2_info2_label_4;
	lv_obj_t *RideInfo2_info3_label_4;
	lv_obj_t *RideInfo2_info_img_v;
	lv_obj_t *RideInfo2_info_img_h;
	lv_obj_t *RideInfo2_gauge_bg_img;
	lv_obj_t *RideInfo2_battery_line_img;
	lv_obj_t *RideInfo2_battery_icon;
	lv_obj_t *RideInfo2_battery_label;
	lv_obj_t *RideInfo2_battery_arc;
	lv_obj_t *RideInfo2_footer_bg_img;
	lv_obj_t *RideInfo2_footer_line_1;
	lv_obj_t *RideInfo2_footer_line_2;
	lv_obj_t *RideInfo2_footer_line_3;
	lv_obj_t *RideInfo2_watts_label_1;
	lv_obj_t *RideInfo2_watts_label_2;
	lv_obj_t *RideInfo2_watts_img;
	lv_obj_t *RideInfo2_cover_imgbtn;
	lv_obj_t *RideInfo2_cover_imgbtn_label;
}lv_ui;

void setup_ui(lv_ui *ui);
extern lv_ui guider_ui;
void setup_scr_Overview(lv_ui *ui);
void setup_scr_RideInfo1(lv_ui *ui);
void setup_scr_RideInfo2(lv_ui *ui);
LV_IMG_DECLARE(_ebike_icn_elapsed_time_2_20x25);
LV_IMG_DECLARE(_ebike_icn_heart_rate_23x17);
LV_IMG_DECLARE(_ebike_gauge_lines_193x164);
LV_IMG_DECLARE(_watts_182x75);
LV_IMG_DECLARE(_ebike_icn_elevation_lost_21x18);
LV_IMG_DECLARE(_ebike_icn_average_speed_23x17);
LV_IMG_DECLARE(_ebike_gauge_bg_233x234);
LV_IMG_DECLARE(_ebike_icn_round_per_minute_20x20);
LV_IMG_DECLARE(_ebike_gps_arrow_1_28x48);
LV_IMG_DECLARE(_bg1_480x272);
LV_IMG_DECLARE(_ebike_gauge_battery_15x12);
LV_IMG_DECLARE(_ebike_gauge_numbers_166x134);
LV_IMG_DECLARE(_ebike_icn_calories_burned_21x14);
LV_IMG_DECLARE(_ebike_footer_line_1_22x4);
LV_IMG_DECLARE(_ebike_footer_line_2_22x4);
LV_IMG_DECLARE(_bg1_alpha_480x272);
LV_IMG_DECLARE(_ebike_icn_distance_travelled_21x14);
LV_IMG_DECLARE(_ebike_gauge_needle_200x200);
LV_IMG_DECLARE(_ebike_icn_average_speed_big_40x31);
LV_IMG_DECLARE(_ebike_icn_elevation_gained_22x18);
LV_IMG_DECLARE(_ebike_header_bg_480x51);
LV_IMG_DECLARE(_info_v_3x120);
LV_IMG_DECLARE(_ebike_icn_distance_travelled_big_42x28);
LV_IMG_DECLARE(_info_v_3x60);
LV_IMG_DECLARE(_info_h_210x3);
LV_IMG_DECLARE(_ebike_footer_bg_480x35);
LV_IMG_DECLARE(_ebike_icn_remaining_distance_20x20);
LV_IMG_DECLARE(_ebike_gauge_battery_line_237x120);

#ifdef __cplusplus
}
#endif
#endif